<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
	
	<sql id="condition_Nhywcpxhgl">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKExh'>
			(a.xh like '%$LIKExh$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xh'>
			(a.xh = #xh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcpbh'>
			(cpbh like '%$LIKEcpbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cpbh'>
			(cpbh = #cpbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcplx'>
			(cplx like '%$LIKEcplx$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cplx'>
			(cplx = #cplx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcpmc'>
			(cpmc like '%$LIKEcpmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cpmc'>
			(cpmc = #cpmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcppp'>
			(cppp like '%$LIKEcppp$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cppp'>
			(cppp = #cppp# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcpxh'>
			(cpxh like '%$LIKEcpxh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cpxh'>
			(cpxh = #cpxh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsccj'>
			(sccj like '%$LIKEsccj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sccj'>
			(sccj = #sccj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsccjbh'>
			(sccjbh like '%$LIKEsccjbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sccjbh'>
			(sccjbh = #sccjbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgnjszb'>
			(gnjszb like '%$LIKEgnjszb$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gnjszb'>
			(gnjszb = #gnjszb# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjcbg'>
			(jcbg like '%$LIKEjcbg$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jcbg'>
			(jcbg = #jcbg# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcgjg'>
			(cgjg like '%$LIKEcgjg$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cgjg'>
			(cgjg = #cgjg# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbzp'>
			(sbzp like '%$LIKEsbzp$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbzp'>
			(sbzp = #sbzp# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcpsm'>
			(cpsm like '%$LIKEcpsm$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cpsm'>
			(cpsm = #cpsm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgysbh'>
			(gysbh like '%$LIKEgysbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gysbh'>
			(gysbh = #gysbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgysmc'>
			(gysmc like '%$LIKEgysmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gysmc'>
			(gysmc = #gysmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(cjry like '%$LIKEcjry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(cjrq like '%$LIKEcjrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xgry like '%$LIKExgry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xgrq like '%$LIKExgrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(bz like '%$LIKEbz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz1'>
			(kz1 like '%$LIKEkz1$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz1'>
			(kz1 = #kz1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz2'>
			(kz2 like '%$LIKEkz2$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz2'>
			(kz2 = #kz2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz3'>
			(kz3 like '%$LIKEkz3$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz3'>
			(kz3 = #kz3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz4'>
			(kz4 like '%$LIKEkz4$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz4'>
			(kz4 = #kz4# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Nhywcpxhgl" parameterClass="java.util.Map">
		insert into 
		nhywcpxhgl(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='xh'>xh</isNotEmpty>
			<isNotEmpty prepend=',' property='cpbh'>cpbh</isNotEmpty>
			<isNotEmpty prepend=',' property='cplx'>cplx</isNotEmpty>
			<isNotEmpty prepend=',' property='cpmc'>cpmc</isNotEmpty>
			<isNotEmpty prepend=',' property='cppp'>cppp</isNotEmpty>
			<isNotEmpty prepend=',' property='cpxh'>cpxh</isNotEmpty>
			<isNotEmpty prepend=',' property='sccj'>sccj</isNotEmpty>
			<isNotEmpty prepend=',' property='sccjbh'>sccjbh</isNotEmpty>
			<isNotEmpty prepend=',' property='gnjszb'>gnjszb</isNotEmpty>
			<isNotEmpty prepend=',' property='jcbg'>jcbg</isNotEmpty>
			<isNotEmpty prepend=',' property='cgjg'>cgjg</isNotEmpty>
			<isNotEmpty prepend=',' property='sbzp'>sbzp</isNotEmpty>
			<isNotEmpty prepend=',' property='cpsm'>cpsm</isNotEmpty>
			<isNotEmpty prepend=',' property='gysbh'>gysbh</isNotEmpty>
			<isNotEmpty prepend=',' property='gysmc'>gysmc</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='xh'>#xh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cpbh'>#cpbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cplx'>#cplx#</isNotEmpty>
			<isNotEmpty prepend=',' property='cpmc'>#cpmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='cppp'>#cppp#</isNotEmpty>
			<isNotEmpty prepend=',' property='cpxh'>#cpxh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sccj'>#sccj#</isNotEmpty>
			<isNotEmpty prepend=',' property='sccjbh'>#sccjbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gnjszb'>#gnjszb#</isNotEmpty>
			<isNotEmpty prepend=',' property='jcbg'>#jcbg#</isNotEmpty>
			<isNotEmpty prepend=',' property='cgjg'>#cgjg#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbzp'>#sbzp#</isNotEmpty>
			<isNotEmpty prepend=',' property='cpsm'>#cpsm#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysbh'>#gysbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysmc'>#gysmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>#kz4#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Nhywcpxhgl" parameterClass="java.util.Map">
		update nhywcpxhgl 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='cpbh'>cpbh=#cpbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cplx'>cplx=#cplx#</isNotEmpty>
			<isNotEmpty prepend=',' property='cpmc'>cpmc=#cpmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='cppp'>cppp=#cppp#</isNotEmpty>
			<isNotEmpty prepend=',' property='cpxh'>cpxh=#cpxh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sccj'>sccj=#sccj#</isNotEmpty>
			<isNotEmpty prepend=',' property='sccjbh'>sccjbh=#sccjbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gnjszb'>gnjszb=#gnjszb#</isNotEmpty>
			<isNotEmpty prepend=',' property='jcbg'>jcbg=#jcbg#</isNotEmpty>
			<isNotEmpty prepend=',' property='cgjg'>cgjg=#cgjg#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbzp'>sbzp=#sbzp#</isNotEmpty>
			<isNotEmpty prepend=',' property='cpsm'>cpsm=#cpsm#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysbh'>gysbh=#gysbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysmc'>gysmc=#gysmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1=#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2=#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3=#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4=#kz4#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJxh'> xh = #XGTJxh#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcpbh'> cpbh = #XGTJcpbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcplx'> cplx = #XGTJcplx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcpmc'> cpmc = #XGTJcpmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcppp'> cppp = #XGTJcppp# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcpxh'> cpxh = #XGTJcpxh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsccj'> sccj = #XGTJsccj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsccjbh'> sccjbh = #XGTJsccjbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgnjszb'> gnjszb = #XGTJgnjszb# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjcbg'> jcbg = #XGTJjcbg# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcgjg'> cgjg = #XGTJcgjg# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsbzp'> sbzp = #XGTJsbzp# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcpsm'> cpsm = #XGTJcpsm# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgysbh'> gysbh = #XGTJgysbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgysmc'> gysmc = #XGTJgysmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz1'> kz1 = #XGTJkz1# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz2'> kz2 = #XGTJkz2# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz3'> kz3 = #XGTJkz3# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz4'> kz4 = #XGTJkz4# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Nhywcpxhgl" parameterClass="java.util.Map">
		delete from nhywcpxhgl 
		where 1=1
		<isNotEmpty prepend='AND' property='xh'> xh = #xh#</isNotEmpty>
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Nhywcpxhgl" parameterClass="java.util.Map">
		delete from nhywcpxhgl 
		where 1=1
			<isNotEmpty prepend='AND' property='keyword'>
			key  in (#keyword#)
			</isNotEmpty>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Nhywcpxhgl" resultClass="java.util.HashMap" parameterClass="java.util.Map" remapResults="true">
		select 
			a.xh,cpbh,cplx,cpmc,cppp,cpxh,sccj,sccjbh,gnjszb,jcbg,cgjg,sbzp,cpsm,gysbh,gysmc,
			a.cjry,a.cjrq,a.xgry,a.xgrq,a.bz,a.kz1,a.kz2,a.kz3,a.kz4,b.csmc as cplxmc
		from nhywcpxhgl a left join xtcl b on a.cplx = b.csdm and b.csdl = 'nhywCplx'
		<include refid="condition_Nhywcpxhgl"/>		
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Nhywcpxhgl" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from nhywcpxhgl a
		<include refid="condition_Nhywcpxhgl"/>			
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Nhywcpxhgl" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      	<iterate conjunction=" " > 
			into nhywcpxhgl(
			 <![CDATA[ 
				xh,cpbh,cplx,cpmc,cppp,cpxh,sccj,sccjbh,gnjszb,jcbg,cgjg,sbzp,cpsm,gysbh,gysmc,cjry,cjrq,xgry,xgrq,bz,kz1,kz2,kz3,kz4
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
				#list[].xh#,#list[].cpbh#,#list[].cplx#,#list[].cpmc#,#list[].cppp#,#list[].cpxh#,#list[].sccj#,#list[].sccjbh#,#list[].gnjszb#,#list[].jcbg#,#list[].cgjg#,#list[].sbzp#,#list[].cpsm#,#list[].gysbh#,#list[].gysmc#,#list[].cjry#,#list[].cjrq#,#list[].xgry#,#list[].xgrq#,#list[].bz#,#list[].kz1#,#list[].kz2#,#list[].kz3#,#list[].kz4#
				)
			]]>    
    	</iterate> 
	</insert>
</sqlMap>











